Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.dom
Class CSSOMStyleDeclaration.StyleDeclarationValue

    java.lang.Object
      org.apache.batik.css.dom.CSSOMValue
          org.apache.batik.css.dom.CSSOMStyleDeclaration.StyleDeclarationValue

All Implemented Interfaces:
  CSSOMValue.ValueProvider, Counter, CSSPrimitiveValue, CSSValue, CSSValueList, Rect, RGBColor

Enclosing class:
  CSSOMStyleDeclaration

    public class CSSOMStyleDeclaration.StyleDeclarationValue

extends CSSOMValue
implements CSSOMValue.ValueProvider

This class represents a CSS value returned by this declaration.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.css.dom.CSSOMValue
`CSSOMValue.AbstractComponent, CSSOMValue.AbstractModificationHandler, CSSOMValue.BlueComponent, CSSOMValue.BottomComponent, CSSOMValue.FloatComponent, CSSOMValue.GreenComponent, CSSOMValue.LeftComponent, CSSOMValue.ListComponent, CSSOMValue.ModificationHandler, CSSOMValue.RedComponent, CSSOMValue.RightComponent, CSSOMValue.TopComponent, CSSOMValue.ValueProvider`

Field Summary
`protected String` | `property` The property name.

Fields inherited from class org.apache.batik.css.dom.CSSOMValue
`blueComponent, bottomComponent, greenComponent, handler, items, leftComponent, redComponent, rightComponent, topComponent, valueProvider`

Fields inherited from interface org.w3c.dom.css.CSSPrimitiveValue
`CSS_ATTR, CSS_CM, CSS_COUNTER, CSS_DEG, CSS_DIMENSION, CSS_EMS, CSS_EXS, CSS_GRAD, CSS_HZ, CSS_IDENT, CSS_IN, CSS_KHZ, CSS_MM, CSS_MS, CSS_NUMBER, CSS_PC, CSS_PERCENTAGE, CSS_PT, CSS_PX, CSS_RAD, CSS_RECT, CSS_RGBCOLOR, CSS_S, CSS_STRING, CSS_UNKNOWN, CSS_URI`

Fields inherited from interface org.w3c.dom.css.CSSValue
`CSS_CUSTOM, CSS_INHERIT, CSS_PRIMITIVE_VALUE, CSS_VALUE_LIST`

Constructor Summary
`CSSOMStyleDeclaration.StyleDeclarationValue(String prop)` Creates a new StyleDeclarationValue.

Method Summary
`Value` | `getValue()` Returns the current value associated with this object.

Methods inherited from class org.apache.batik.css.dom.CSSOMValue
`convertFloatValue, getBlue, getBottom, getCounterValue, getCssText, getCssValueType, getFloatValue, getGreen, getIdentifier, getLeft, getLength, getListStyle, getPrimitiveType, getRectValue, getRed, getRGBColorValue, getRight, getSeparator, getStringValue, getTop, item, setCssText, setFloatValue, setModificationHandler, setStringValue, toCentimeters, toDegrees, toGradians, toHertz, toInches, tokHertz, toMillimeters, toMilliseconds, toPicas, toPoints, toRadians, toSeconds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### property

    protected String property

  The property name.

Constructor Detail

### CSSOMStyleDeclaration.StyleDeclarationValue

    public CSSOMStyleDeclaration.StyleDeclarationValue(String prop)

  Creates a new StyleDeclarationValue.

Method Detail

### getValue

    public Value getValue()

  Returns the current value associated with this object.

  Specified by:
    `getValue` in interface `CSSOMValue.ValueProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.